Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class MutableAttrListImpl

    java.lang.Object
      |
      +--org.xml.sax.helpers.AttributesImpl
            |
            +--org.apache.xalan.utils.MutableAttrListImpl

public class MutableAttrListImpl
extends AttributesImpl
implements java.io.Serializable

**For advanced use only** Mutable version of AttributesImpl.

See Also:
  Serialized Form

Constructor Summary
`MutableAttrListImpl()` **For advanced use only** Construct a new, empty AttributesImpl object.
`MutableAttrListImpl(Attributes atts)` **For advanced use only** Copy an existing Attributes object.

Method Summary
`void` | `addAttribute(java.lang.String uri, java.lang.String localName, java.lang.String qName, java.lang.String type, java.lang.String value)` **For advanced use only** Add an attribute to the end of the list.
`void` | `addAttributes(Attributes atts)` **For advanced use only** Add the contents of the attribute list to this list.
`boolean` | `contains(java.lang.String name)` **For advanced use only** Return true if list contains the given (raw) attribute name.

Methods inherited from class org.xml.sax.helpers.AttributesImpl
`clear, getIndex, getIndex, getLength, getLocalName, getQName, getType, getType, getType, getURI, getValue, getValue, getValue, removeAttribute, setAttribute, setAttributes, setLocalName, setQName, setType, setURI, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MutableAttrListImpl

    public MutableAttrListImpl()

  **For advanced use only** Construct a new, empty AttributesImpl object.

### MutableAttrListImpl

    public MutableAttrListImpl(Attributes atts)

  **For advanced use only** Copy an existing Attributes object.

  This constructor is especially useful inside a start element event.

  Parameters:
    `atts` - The existing Attributes object.

Method Detail

### addAttribute

    public void addAttribute(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             java.lang.String type,
                             java.lang.String value)

  **For advanced use only** Add an attribute to the end of the list.

  For the sake of speed, this method does no checking to see if the attribute is already in the list: that is the responsibility of the application.

  Parameters:
    `uri` - The Namespace URI, or the empty string if none is available or Namespace processing is not being performed.
    `localName` - The local name, or the empty string if Namespace processing is not being performed.
    `qName` - The qualified (prefixed) name, or the empty string if qualified names are not available.
    `type` - The attribute type as a string.
    `value` - The attribute value.
  Overrides:
    addAttribute in class AttributesImpl

### addAttributes

    public void addAttributes(Attributes atts)

  **For advanced use only** Add the contents of the attribute list to this list.

### contains

    public boolean contains(java.lang.String name)

  **For advanced use only** Return true if list contains the given (raw) attribute name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.